/*************************************************************************
    check.c -- last change: 20-1-1998

    Copyright (C) 1996-1998  Boris Nagels

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    Sent your comments and suggestions to Boris Nagels, E-mail:
    boris@molphys.leidenuniv.nl

 *************************************************************************/

#include <stdio.h>
#include "local.h"

int check_window(GuiWindow *win, char *function)
{
	if (win == NULL) {
		fprintf(stderr, "---> Warning: win = NULL in %s().\n", function);
		return TRUE;
	}
	
	return FALSE;
}


int check_object(GuiObject *obj, char *label, char *function)
{
	if (obj == NULL) {
		fprintf(stderr, "---> Warning: %s = NULL in %s().\n", label, function);
		return TRUE;
	}
	
	return FALSE;
}
